"F_RunApplication - one of ...-squish-...-lib-SQUISH_MACWRAPPER is missing"

Last edited on

Symptoms

You get this (or a similar) error message:

Debug: Qt Warning: F_RunApplication: one of /Users/me/squish-4.1.0-java-maci386/lib/SQUISH_MACWRAPPER is missing

Possible causes

This can be caused by trying to use a test suite that was not created for the Java toolkit.

Look in the test suite’s settings for the Toolkit entry:

Solution

Make sure that when you create a new test suite you choose Java as the toolkit. (You won’t need to do this or be given the choice of doing this if your version of Squish only supports a single toolkit, e.g., Java.)